Subject: RE: cygiwn newline character
From: "Robinow, David" <[email-masked]>
To: [email-masked]
Date: Fri, 19 Oct 2001 11:21:20 -0400

What's your point? Would you like a bourne-compatible
shell on cygwin?
> -----Original Message-----
> From: Wayne Willcox [mailto:[email-masked]]
> Sent: Friday, October 19, 2001 11:13 AM
> To: Ehud Karni
> Cc: [email-masked]; [email-masked]
> Subject: Re: cygiwn newline character
> 
> Well news flash Linux and windows are not the only OS's and the fact that
> redhat changed the behaviour in 1999 is recent.  I have programs that
> are alot older then 2 years.  I was not really suggesting that anything
> is changed.  This is just one more example of the crazy Linux development
> or lack of it environment.  I was pointing out that it is a bad idea to
> write code that you know is not portable.  Someday that bash only shell
> program you wrote just might need to be run somewhere else.  Sometimes
> making your code unportable is prefered either for performance or 
> additional features but to simply make it not portable because you don't
> care that is a poor programing practice.
> echo has always had issues across platforms, so why add additional ones
> for no reason.  Now if you can give me a good reason I would not want
> support the the escape \ that would be different.
> Having an option -e is okay but my systems don't always have the latest
> versions of bash in fact they might not have bash at all.  If I just use
> the -e now I have a bug.  So now you have made me check if the -e is 
> there or not if I care about portablity and want to use this feature.
> Aliases only work if you have them set and again you won't want them 
> set for all systems.  So again my point is not if this is current 
> behaviour but that it was changed for no reason and breaks compatability
> for no reasons that I have yet heard.
> BTW: I use sh because I want my scripts to work on any system that is
> required.  I only use ksh or bash when I need things like array support.
> You see I write shell scripts as part of my job and I write them for
> alot of different systems.  I really prefer across platform compatablity
> unless there is a really good reason to not have it.  Someday I might 
> need to use your bash scripts and I will have to go through them and
> modify them or build bash for my FreeBSD system.  Since I don't use
> bash on FreeBSD that would be just anther hassle.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/